UrlController (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class UrlController

    java.lang.Object
      org.apache.struts.tiles.UrlController

All Implemented Interfaces:
  Controller

    public class UrlController

extends Object
implements Controller

Tiles controller including a local URL.

Field Summary
`protected String` | `url` URL associated with this controller.

Constructor Summary
`UrlController(String url)` Constructor.

Method Summary
`void` | `execute(ComponentContext tileContext, HttpServletRequest request, HttpServletResponse response, ServletContext servletContext)` Method associated to a tile and called immediately before the tile is included.
`void` | `perform(ComponentContext tileContext, HttpServletRequest request, HttpServletResponse response, ServletContext servletContext)` Method associated to a tile and called immediately before the tile is included.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    protected String url

  URL associated with this controller.

Constructor Detail

### UrlController

    public UrlController(String url)

  Constructor.

  Parameters:
    `url` - URL.

Method Detail

### perform

    public void perform(ComponentContext tileContext,
                        HttpServletRequest request,
                        HttpServletResponse response,
                        ServletContext servletContext)
                 throws ServletException,
                        IOException

  Method associated to a tile and called immediately before the tile is included. This implementation calls an `Action`. No servlet is set by this method.

  Specified by:
    `perform` in interface `Controller`
  Parameters:
    `tileContext` - Current tile context.
    `request` - Current request.
    `response` - Current response.
    `servletContext` - Current servlet context.
  Throws:
    `ServletException`
    `IOException`

### execute

    public void execute(ComponentContext tileContext,
                        HttpServletRequest request,
                        HttpServletResponse response,
                        ServletContext servletContext)
                 throws Exception

  Description copied from interface: `Controller`
  Method associated to a tile and called immediately before the tile is included.

  Specified by:
    `execute` in interface `Controller`
  Parameters:
    `tileContext` - Current tile context.
    `request` - Current request
    `response` - Current response
    `servletContext` - Current servlet context
  Throws:
    `Exception`
  See Also:
    `Controller.execute(org.apache.struts.tiles.ComponentContext, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.ServletContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.